// Native C++ consule using the communication wrapper.
// The wrapper internally uses managed Eneter but exposes
// native C++ functionality.


#include "stdafx.h"
#include <iostream>
#include "../CommunicationWrapper/CommunicationApi.h"


int _tmain(int argc, _TCHAR* argv[])
{
    // Create the communication wrapper.
    IClient *aClient = CreateClient(L"tcp://127.0.0.1:4502/");

    // Open the connection.
    aClient->OpenConnection();

    // Send the request and get the response.
    int aResult = aClient->SendCalculateRequest(10, 20);

    // Close the connection.
    aClient->CloseConnection();

    // Release the client from the memory.
    DestroyClient(aClient);

    // Display the result.
    std::cout << "Result = " << aResult << std::endl;

	return 0;
}

